#!/bin/bash
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# reconf-zephir.sh
#  
# script de reconfiguration spécifique à Zephir
#       
###########################################################################

# on regénère les clés ssh si elles sont absentes
if [ ! -f /usr/share/zephir/certs/server.pem ]
then
	/usr/share/eole/gen_certifEole.sh &> /dev/null
fi
# on regénère le mot de passe LDAP
/usr/share/eole/gen_pwd.py --nopgsql &> /dev/null
# On relance le script de firewall
/usr/sbin/lance.firewall
# chown sur /var/lib/ldap (changé depuis feisty)
chown -R openldap.openldap /var/lib/ldap
